package config

import "github.com/zeromicro/go-zero/zrpc"

type (
	Kafka struct {
		Addr            []string
		Topic           string
		ConsumerGroupId string
	}
	Config struct {
		zrpc.RpcServerConf

		DB struct {
			DataSource string
		}

		Danmaku struct {
			Kafka   Kafka
			Command struct {
				Keys []string
			}
		}

		User struct {
			UpdateDuration int64 // 用户信息更新最短间隔 单位 h
		}
	}
)
